com.tibbo.aggregate.common.dao

## Interface GenericDao

- All Superinterfaces:
    Dao

      public interface GenericDao
      extends Dao

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `executeNativeSelectQuery(java.lang.String query)`
    `int` | `executeNativeUpdateQuery(java.lang.String query)`
    `java.util.List` | `executeSelectQuery(java.lang.String query)`
    `java.util.List` | `executeSelectQuery(java.lang.String query, int numberOfRows, java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `void` | `save(java.util.List objects)`
    `void` | `save(java.lang.String table, java.util.List objects)`

    - ### Methods inherited from interface com.tibbo.aggregate.common.dao.Dao

      `isManaged, shutdown`

- - ### Method Detail

    - #### executeSelectQuery

          java.util.List executeSelectQuery(java.lang.String query)
                                     throws DaoException

      Throws:
        `DaoException`

    - #### executeSelectQuery

          java.util.List executeSelectQuery(java.lang.String query,
                                            int numberOfRows,
                                            java.util.Map<java.lang.String,java.lang.Object> parameters)
                                     throws DaoException

      Throws:
        `DaoException`

    - #### executeNativeUpdateQuery

          int executeNativeUpdateQuery(java.lang.String query)
                                throws DaoException

      Throws:
        `DaoException`

    - #### executeNativeSelectQuery

          DataTable executeNativeSelectQuery(java.lang.String query)
                                      throws DaoException

      Throws:
        `DaoException`

    - #### save

          void save(java.util.List objects)
             throws DaoException

      Throws:
        `DaoException`

    - #### save

          void save(java.lang.String table,
                    java.util.List objects)
             throws DaoException

      Throws:
        `DaoException`